summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--Makefile.am15
-rw-r--r--Makefile.in19
-rwxr-xr-xacprep9
-rwxr-xr-xconfigure141
-rw-r--r--configure.in35
5 files changed, 64 insertions, 155 deletions
diff --git a/Makefile.am b/Makefile.am
index 86cdcd76..2ec279b4 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -178,16 +178,11 @@ ledger_so_SOURCES = \
src/py_amount.cc
ledger_so_DEPENDENCIES = libledger.la gdtoa/libgdtoa.la libpyledger.la
-PYLIBS = pyledger ledger gdtoa gmp
-if USE_BOOST_SD
-PYLIBS += boost_date_time-sd boost_filesystem-sd boost_regex-sd boost_python-sd
-else
-if USE_BOOST_D
-PYLIBS += boost_date_time-d boost_filesystem-d boost_regex-d boost_python-d
-else
-PYLIBS += boost_date_time boost_filesystem boost_regex boost_python
-endif
-endif
+PYLIBS = pyledger ledger gdtoa gmp
+PYLIBS += boost_date_time$(BOOST_SUFFIX) \
+ boost_filesystem$(BOOST_SUFFIX) \
+ boost_regex$(BOOST_SUFFIX) \
+ boost_python$(BOOST_SUFFIX)
if HAVE_EXPAT
PYLIBS += expat
diff --git a/Makefile.in b/Makefile.in
index 2cbb4f49..5dc12135 100644
--- a/Makefile.in
+++ b/Makefile.in
@@ -51,14 +51,11 @@ bin_PROGRAMS = ledger$(EXEEXT)
@HAVE_BOOST_PYTHON_TRUE@am__append_13 = libpyledger.la
@HAVE_BOOST_PYTHON_TRUE@noinst_PROGRAMS = ledger.so$(EXEEXT)
@HAVE_BOOST_PYTHON_TRUE@am__append_14 = ledger.so
-@HAVE_BOOST_PYTHON_TRUE@@USE_BOOST_SD_TRUE@am__append_15 = boost_date_time-sd boost_filesystem-sd boost_regex-sd boost_python-sd
-@HAVE_BOOST_PYTHON_TRUE@@USE_BOOST_D_TRUE@@USE_BOOST_SD_FALSE@am__append_16 = boost_date_time-d boost_filesystem-d boost_regex-d boost_python-d
-@HAVE_BOOST_PYTHON_TRUE@@USE_BOOST_D_FALSE@@USE_BOOST_SD_FALSE@am__append_17 = boost_date_time boost_filesystem boost_regex boost_python
-@HAVE_BOOST_PYTHON_TRUE@@HAVE_EXPAT_TRUE@am__append_18 = expat
-@HAVE_BOOST_PYTHON_TRUE@@HAVE_XMLPARSE_TRUE@am__append_19 = xmlparse xmltok
-@HAVE_BOOST_PYTHON_TRUE@@HAVE_LIBOFX_TRUE@am__append_20 = ofx
+@HAVE_BOOST_PYTHON_TRUE@@HAVE_EXPAT_TRUE@am__append_15 = expat
+@HAVE_BOOST_PYTHON_TRUE@@HAVE_XMLPARSE_TRUE@am__append_16 = xmlparse xmltok
+@HAVE_BOOST_PYTHON_TRUE@@HAVE_LIBOFX_TRUE@am__append_17 = ofx
TESTS = UnitTests$(EXEEXT) $(am__EXEEXT_1)
-@HAVE_BOOST_PYTHON_TRUE@am__append_21 = PyUnitTests
+@HAVE_BOOST_PYTHON_TRUE@am__append_18 = PyUnitTests
check_PROGRAMS = $(am__EXEEXT_2)
subdir = .
DIST_COMMON = README $(am__configure_deps) $(dist_lisp_LISP) \
@@ -236,6 +233,7 @@ AUTOCONF = @AUTOCONF@
AUTOHEADER = @AUTOHEADER@
AUTOMAKE = @AUTOMAKE@
AWK = @AWK@
+BOOST_SUFFIX = @BOOST_SUFFIX@
CC = @CC@
CCDEPMODE = @CCDEPMODE@
CFLAGS = @CFLAGS@
@@ -439,9 +437,12 @@ dist_lisp_LISP = lisp/ledger.el lisp/timeclock.el
@HAVE_BOOST_PYTHON_TRUE@ledger_so_DEPENDENCIES = libledger.la gdtoa/libgdtoa.la libpyledger.la
@HAVE_BOOST_PYTHON_TRUE@PYLIBS = pyledger ledger gdtoa gmp \
+@HAVE_BOOST_PYTHON_TRUE@ boost_date_time$(BOOST_SUFFIX) \
+@HAVE_BOOST_PYTHON_TRUE@ boost_filesystem$(BOOST_SUFFIX) \
+@HAVE_BOOST_PYTHON_TRUE@ boost_regex$(BOOST_SUFFIX) \
+@HAVE_BOOST_PYTHON_TRUE@ boost_python$(BOOST_SUFFIX) \
@HAVE_BOOST_PYTHON_TRUE@ $(am__append_15) $(am__append_16) \
-@HAVE_BOOST_PYTHON_TRUE@ $(am__append_17) $(am__append_18) \
-@HAVE_BOOST_PYTHON_TRUE@ $(am__append_19) $(am__append_20)
+@HAVE_BOOST_PYTHON_TRUE@ $(am__append_17)
nodist_UnitTests_SOURCES = tests/UnitTests.cc \
\
tests/utility/t_utils.cc \
diff --git a/acprep b/acprep
index 3c9b1dd4..a3ecb60c 100755
--- a/acprep
+++ b/acprep
@@ -61,12 +61,9 @@ while [ -n "$1" ]; do
SWITCHES="$SWITCHES --enable-debug"
CXXFLAGS="$CXXFLAGS -g" ;;
- --boost-sd)
- SWITCHES="$SWITCHES --enable-boost-sd"
- CPPFLAGS="$CPPFLAGS -D_GLIBCXX_DEBUG=1" ;;
-
- --boost-d)
- SWITCHES="$SWITCHES --enable-boost-d"
+ --boost)
+ shift 1
+ SWITCHES="$SWITCHES --with-boost-suffix=$1"
CPPFLAGS="$CPPFLAGS -D_GLIBCXX_DEBUG=1" ;;
--gcov)
diff --git a/configure b/configure
index 3e4aa88c..23a5bcc8 100755
--- a/configure
+++ b/configure
@@ -877,12 +877,9 @@ EMACSLOADPATH
lispdir
DEBUG_TRUE
DEBUG_FALSE
-USE_BOOST_SD_TRUE
-USE_BOOST_SD_FALSE
-USE_BOOST_D_TRUE
-USE_BOOST_D_FALSE
USE_PCH_TRUE
USE_PCH_FALSE
+BOOST_SUFFIX
USE_XML_TRUE
USE_XML_FALSE
HAVE_EXPAT_TRUE
@@ -1515,8 +1512,6 @@ Optional Features:
optimize for fast installation [default=yes]
--disable-libtool-lock avoid locking (might break parallel builds)
--enable-debug Turn on debugging
- --enable-boost-sd Use static/debug Boost libraries
- --enable-boost-d Use dynamic/debug Boost libraries
--enable-pch Use GCC 4.x pre-compiled headers
--enable-xml Turn on support for XML parsing
--enable-ofx Turn on support for OFX/OCF parsing
@@ -1530,6 +1525,7 @@ Optional Packages:
both]
--with-tags[=TAGS] include additional configurations [automatic]
--with-lispdir override the default lisp directory
+ --with-boost-suffix=X Append X to the Boost library names
Some influential environment variables:
CXX C++ compiler command
@@ -4859,7 +4855,7 @@ ia64-*-hpux*)
;;
*-*-irix6*)
# Find out which ABI we are using.
- echo '#line 4862 "configure"' > conftest.$ac_ext
+ echo '#line 4858 "configure"' > conftest.$ac_ext
if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
@@ -7118,11 +7114,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:7121: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:7117: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:7125: \$? = $ac_status" >&5
+ echo "$as_me:7121: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings other than the usual output.
@@ -7386,11 +7382,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:7389: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:7385: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:7393: \$? = $ac_status" >&5
+ echo "$as_me:7389: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings other than the usual output.
@@ -7490,11 +7486,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:7493: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:7489: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
- echo "$as_me:7497: \$? = $ac_status" >&5
+ echo "$as_me:7493: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
@@ -9798,7 +9794,7 @@ else
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<EOF
-#line 9801 "configure"
+#line 9797 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H
@@ -9898,7 +9894,7 @@ else
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<EOF
-#line 9901 "configure"
+#line 9897 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H
@@ -12234,11 +12230,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:12237: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:12233: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:12241: \$? = $ac_status" >&5
+ echo "$as_me:12237: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings other than the usual output.
@@ -12338,11 +12334,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:12341: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:12337: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
- echo "$as_me:12345: \$? = $ac_status" >&5
+ echo "$as_me:12341: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
@@ -13908,11 +13904,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:13911: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:13907: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:13915: \$? = $ac_status" >&5
+ echo "$as_me:13911: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings other than the usual output.
@@ -14012,11 +14008,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:14015: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:14011: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
- echo "$as_me:14019: \$? = $ac_status" >&5
+ echo "$as_me:14015: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
@@ -16210,11 +16206,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:16213: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:16209: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:16217: \$? = $ac_status" >&5
+ echo "$as_me:16213: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings other than the usual output.
@@ -16478,11 +16474,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:16481: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:16477: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:16485: \$? = $ac_status" >&5
+ echo "$as_me:16481: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings other than the usual output.
@@ -16582,11 +16578,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:16585: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:16581: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
- echo "$as_me:16589: \$? = $ac_status" >&5
+ echo "$as_me:16585: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
@@ -19375,60 +19371,6 @@ else
fi
-# Check whether --enable-boost-sd was given.
-if test "${enable_boost_sd+set}" = set; then
- enableval=$enable_boost_sd; case "${enableval}" in
- yes) boost_sd=true ;;
- no) boost_sd=false ;;
- *) { { echo "$as_me:$LINENO: error: bad value ${enableval} for --enable-boost-sd" >&5
-echo "$as_me: error: bad value ${enableval} for --enable-boost-sd" >&2;}
- { (exit 1); exit 1; }; } ;;
- esac
-else
- boost_sd=false
-fi
-
-
- if test x$boost_sd = xtrue; then
- USE_BOOST_SD_TRUE=
- USE_BOOST_SD_FALSE='#'
-else
- USE_BOOST_SD_TRUE='#'
- USE_BOOST_SD_FALSE=
-fi
-
-
-# Check whether --enable-boost-d was given.
-if test "${enable_boost_d+set}" = set; then
- enableval=$enable_boost_d; case "${enableval}" in
- yes) boost_d=true ;;
- no) boost_d=false ;;
- *) { { echo "$as_me:$LINENO: error: bad value ${enableval} for --enable-boost-d" >&5
-echo "$as_me: error: bad value ${enableval} for --enable-boost-d" >&2;}
- { (exit 1); exit 1; }; } ;;
- esac
-else
- boost_d=false
-fi
-
-
- if test x$boost_d = xtrue; then
- USE_BOOST_D_TRUE=
- USE_BOOST_D_FALSE='#'
-else
- USE_BOOST_D_TRUE='#'
- USE_BOOST_D_FALSE=
-fi
-
-
-if test x$boost_sd = xtrue; then
- BOOST_SUFFIX="-sd"
-elif test x$boost_d = xtrue; then
- BOOST_SUFFIX="-d"
-else
- BOOST_SUFFIX=""
-fi
-
# Check whether --enable-pch was given.
if test "${enable_pch+set}" = set; then
enableval=$enable_pch; case "${enableval}" in
@@ -19452,6 +19394,18 @@ else
fi
+
+# Check whether --with-boost-suffix was given.
+if test "${with_boost_suffix+set}" = set; then
+ withval=$with_boost_suffix; BOOST_SUFFIX="-${withval}"
+else
+ BOOST_SUFFIX=""
+fi
+
+
+BOOST_SUFFIX=$BOOST_SUFFIX
+
+
# check if UNIX pipes are available
{ echo "$as_me:$LINENO: checking if pipes can be used" >&5
echo $ECHO_N "checking if pipes can be used... $ECHO_C" >&6; }
@@ -21720,20 +21674,6 @@ echo "$as_me: error: conditional \"DEBUG\" was never defined.
Usually this means the macro was only invoked conditionally." >&2;}
{ (exit 1); exit 1; }; }
fi
-if test -z "${USE_BOOST_SD_TRUE}" && test -z "${USE_BOOST_SD_FALSE}"; then
- { { echo "$as_me:$LINENO: error: conditional \"USE_BOOST_SD\" was never defined.
-Usually this means the macro was only invoked conditionally." >&5
-echo "$as_me: error: conditional \"USE_BOOST_SD\" was never defined.
-Usually this means the macro was only invoked conditionally." >&2;}
- { (exit 1); exit 1; }; }
-fi
-if test -z "${USE_BOOST_D_TRUE}" && test -z "${USE_BOOST_D_FALSE}"; then
- { { echo "$as_me:$LINENO: error: conditional \"USE_BOOST_D\" was never defined.
-Usually this means the macro was only invoked conditionally." >&5
-echo "$as_me: error: conditional \"USE_BOOST_D\" was never defined.
-Usually this means the macro was only invoked conditionally." >&2;}
- { (exit 1); exit 1; }; }
-fi
if test -z "${USE_PCH_TRUE}" && test -z "${USE_PCH_FALSE}"; then
{ { echo "$as_me:$LINENO: error: conditional \"USE_PCH\" was never defined.
Usually this means the macro was only invoked conditionally." >&5
@@ -22554,12 +22494,9 @@ EMACSLOADPATH!$EMACSLOADPATH$ac_delim
lispdir!$lispdir$ac_delim
DEBUG_TRUE!$DEBUG_TRUE$ac_delim
DEBUG_FALSE!$DEBUG_FALSE$ac_delim
-USE_BOOST_SD_TRUE!$USE_BOOST_SD_TRUE$ac_delim
-USE_BOOST_SD_FALSE!$USE_BOOST_SD_FALSE$ac_delim
-USE_BOOST_D_TRUE!$USE_BOOST_D_TRUE$ac_delim
-USE_BOOST_D_FALSE!$USE_BOOST_D_FALSE$ac_delim
USE_PCH_TRUE!$USE_PCH_TRUE$ac_delim
USE_PCH_FALSE!$USE_PCH_FALSE$ac_delim
+BOOST_SUFFIX!$BOOST_SUFFIX$ac_delim
USE_XML_TRUE!$USE_XML_TRUE$ac_delim
USE_XML_FALSE!$USE_XML_FALSE$ac_delim
HAVE_EXPAT_TRUE!$HAVE_EXPAT_TRUE$ac_delim
@@ -22589,7 +22526,7 @@ LIBOBJS!$LIBOBJS$ac_delim
LTLIBOBJS!$LTLIBOBJS$ac_delim
_ACEOF
- if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 43; then
+ if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 40; then
break
elif $ac_last_try; then
{ { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
diff --git a/configure.in b/configure.in
index 2a024690..38521907 100644
--- a/configure.in
+++ b/configure.in
@@ -39,34 +39,6 @@ AC_ARG_ENABLE(debug,
AM_CONDITIONAL(DEBUG, test x$debug = xtrue)
-AC_ARG_ENABLE(boost-sd,
- [ --enable-boost-sd Use static/debug Boost libraries],
- [case "${enableval}" in
- yes) boost_sd=true ;;
- no) boost_sd=false ;;
- *) AC_MSG_ERROR(bad value ${enableval} for --enable-boost-sd) ;;
- esac],[boost_sd=false])
-
-AM_CONDITIONAL(USE_BOOST_SD, test x$boost_sd = xtrue)
-
-AC_ARG_ENABLE(boost-d,
- [ --enable-boost-d Use dynamic/debug Boost libraries],
- [case "${enableval}" in
- yes) boost_d=true ;;
- no) boost_d=false ;;
- *) AC_MSG_ERROR(bad value ${enableval} for --enable-boost-d) ;;
- esac],[boost_d=false])
-
-AM_CONDITIONAL(USE_BOOST_D, test x$boost_d = xtrue)
-
-if test x$boost_sd = xtrue; then
- BOOST_SUFFIX="-sd"
-elif test x$boost_d = xtrue; then
- BOOST_SUFFIX="-d"
-else
- BOOST_SUFFIX=""
-fi
-
AC_ARG_ENABLE(pch,
[ --enable-pch Use GCC 4.x pre-compiled headers],
[case "${enableval}" in
@@ -77,6 +49,13 @@ AC_ARG_ENABLE(pch,
AM_CONDITIONAL(USE_PCH, test x$pch = xtrue)
+AC_ARG_WITH(boost-suffix,
+ [ --with-boost-suffix=X Append X to the Boost library names],
+ [BOOST_SUFFIX="-${withval}"],
+ [BOOST_SUFFIX=""])
+
+AC_SUBST([BOOST_SUFFIX], $BOOST_SUFFIX)
+
# check if UNIX pipes are available
AC_CACHE_CHECK(
[if pipes can be used],